<template>
  <form class="form-signin mt-5" @submit.prevent="NovaPass">
    <div class="text-center mb-4">
      <h1 class="h3 mb-3 font-weight-normal">Informar Nova Senha</h1>
    </div>

    <div class="form-label-group">
      <input
        type="password"
        id="inputPassword"
        class="form-control"
        placeholder="Password"
        required
        v-model="NovaSenha"
      />

      <label for="inputPassword">Nova Senha</label>
    </div>
    <div class="form-label-group">
      <input
        type="password"
        id="inputPassword"
        class="form-control"
        placeholder="Password"
        required
        v-model="ConfirmarSenha"
      />

      <label for="inputPassword">Repetir Senha</label>
    </div>

    <button
      @click="NovaPass"
      class="btn btn-lg btn-dark btn-block"
      type="submit"
    >
      <b-icon icon="pencil-fill" font-scale="1" aria-hidden="true"></b-icon>
      Alterar Senha
    </button>
  </form>
</template>


<script>
import axios from "axios";

export default {
  data() {
    return {
      ConfirmarSenha: null,
      NovaSenha: null,
      dados: {
        newSenha: null,
      },
    };
  },
  methods: {
    NovaPass() {
      if (this.ConfirmarSenha == this.NovaSenha) {
        this.dados.newSenha = this.NovaSenha;
        axios
          .put(
            `${this.$urlAPI}/user/${localStorage.getItem("idU")}`,
            this.dados,
            {
              headers: {
                Authorization: `Bearer ${localStorage.getItem("token")}`,
              },
            }
          )
          .then((response) => {
            if (response.data.erro == "true") {
              alert(response.data.msg);
            }
            if (response.data.erro == "false") {
              alert("Senha Alterada com Sucesso!!!");
              localStorage.removeItem("token");
              localStorage.removeItem("idU");
              localStorage.removeItem("nome");
              localStorage.removeItem("foto");
              localStorage.removeItem("admir");
              this.$router.push("/").catch(() => {});
            }
          });
      } else {
        alert("Senhas Não Correspondem!");
      }
    },
  },
};
</script>


<style scoped>
template {
  height: 100%;

  display: -ms-flexbox;

  display: flex;

  -ms-flex-align: center;

  align-items: center;

  padding-top: 40px;

  padding-bottom: 40px;

  background-color: #f5f5f5;
}

.form-signin {
  width: 100%;

  max-width: 420px;

  padding: 15px;

  margin: auto;
}

.form-label-group {
  position: relative;

  margin-bottom: 1rem;
}

.form-label-group > input,
.form-label-group > label {
  height: 3.125rem;

  padding: 0.75rem;
}

.form-label-group > label {
  position: absolute;

  top: 0;

  left: 0;

  display: block;

  width: 100%;

  margin-bottom: 0; /* Override default `<label>` margin */

  line-height: 1.5;

  color: #495057;

  pointer-events: none;

  cursor: text; /* Match the input under the label */

  border: 1px solid transparent;

  border-radius: 0.25rem;

  transition: all 0.1s ease-in-out;
}

.form-label-group input::-webkit-input-placeholder {
  color: transparent;
}

.form-label-group input:-ms-input-placeholder {
  color: transparent;
}

.form-label-group input::-ms-input-placeholder {
  color: transparent;
}

.form-label-group input::-moz-placeholder {
  color: transparent;
}

.form-label-group input::placeholder {
  color: transparent;
}

.form-label-group input:not(:placeholder-shown) {
  padding-top: 1.25rem;

  padding-bottom: 0.25rem;
}

.form-label-group input:not(:placeholder-shown) ~ label {
  padding-top: 0.25rem;

  padding-bottom: 0.25rem;

  font-size: 12px;

  color: #777;
}

/* Fallback for Edge

-------------------------------------------------- */

@supports (-ms-ime-align: auto) {
  .form-label-group > label {
    display: none;
  }

  .form-label-group input::-ms-input-placeholder {
    color: #777;
  }
}

/* Fallback for IE

-------------------------------------------------- */

@media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {
  .form-label-group > label {
    display: none;
  }

  .form-label-group input:-ms-input-placeholder {
    color: #777;
  }
}
</style>